WD launcher cannot be run under this version of Windows

Hi

Just upgraded windows 7 to windows 10 and now I get this message.

Using Anywhere Backup version 2.0

What do we need to do?

Hello there and welcome to the WD community.

If i recall correctly Anywhere backup is not supported on windows 8 or 8.1, so this could mean that on windows 10  there is a good chance that it wont work.

WD launcher cannot run under this version of windows (10)

Also here same problem, does anyone know if this can or will be solved or should I throw away 4TB of back up and buy new NAS? Thanks

you should maybe try this WD anywhere backup